/*
 * Copyright 2015-2016 Riccardo Padovani <riccardo@rpadovani.com>
 *
 * This file is part of falldown.
 *
 * falldown is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * falldown is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
import QtQuick 2.4

import "../themes/colors.js" as Theme

Item {
    id: achievement

    Item {
        anchors {
            left: parent.left
            rightMargin: units.gu(1)
            right: image.left
            top: parent.top
            bottom: parent.bottom
        }

        Text {
            id: name
            text: model.name
            wrapMode: Text.Wrap
            font.bold: true

            anchors {
                left: parent.left
                right: parent.right
            }

            color: Theme.colors[settings.theme].achievementTitleLocked
        }

        Text {
            anchors.top: name.bottom
            text: model.description
            wrapMode: Text.Wrap

            anchors {
                left: parent.left
                right: parent.right
            }

            color: Theme.colors[settings.theme].achievementDescription
        }
    }

    Image {
        id: image
        height: units.gu(5)
        width: height
        anchors.right: parent.right

        source: !model.unlocked ?
                    Qt.resolvedUrl("../" + mainView.imgPrefix + "ui/lock.png") :
                    Qt.resolvedUrl("../" + mainView.imgPrefix + "ui/tick.png")
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            if (model.unlocked) {
                game.collectAchievement(model.key)
            }
        }
    }
}
